// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Library General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

//
// File: StatusData.h
// Created by: Kristian Müller <Kristian-M@Kristian-M.de>
// Created on: Wed Oct  1 17:16:35 2003
//

#ifndef _STATUSDATA_H_
#define _STATUSDATA_H_


//------------------------------------------------------------------------------
// StatusData Declaration
//------------------------------------------------------------------------------

// #include <iostream.h> //debuging

class StatusData{
	protected:
		int iOnlineStatus;
		char *sOnlineTime;
		char *sBaudRate;
		char *sDialedNumber;
	public:
		StatusData(){
			iOnlineStatus = -1;
			sOnlineTime = NULL;
			sBaudRate = NULL;
			sDialedNumber = NULL;
		};
		~StatusData(){
			if (sOnlineTime != NULL){
				delete[] sOnlineTime;
			};
			sOnlineTime = NULL;
			if (sBaudRate != NULL)
				delete[] sBaudRate;
			sBaudRate = NULL;
			if (sDialedNumber != NULL)
				delete[] sDialedNumber;
		  sDialedNumber = NULL;
		};
	
		int getOnlineStatus(){return iOnlineStatus; };
		char *getOnlineTime(){return sOnlineTime; 	};
		char *getBaudRate() {return sBaudRate; };
		char *getDialedNumber(){return sDialedNumber; };
		void setOnlineStatus(int iInStatus){iOnlineStatus = iInStatus;};
		void setOnlineTime(char *sInTime){
			if (sInTime != NULL){
				sOnlineTime = new char[strlen(sInTime)+1];
				strncpy(sOnlineTime, sInTime, strlen(sInTime));
				sOnlineTime[strlen(sInTime)] = '\0';
			};
		};
//		void setOnlineTime(int iTicks){	/*TODO to be done!!*/	};
		void setBaudRate(char *sInBaudRate){
			if (sInBaudRate != NULL){
				sBaudRate = new char[strlen(sInBaudRate)+1];
				strncpy(sBaudRate, sInBaudRate, strlen(sInBaudRate));
			};
		};
		void setDialedNumber(char *sInDialedNumber){
			if (sInDialedNumber != NULL){
				sDialedNumber = new char[strlen(sInDialedNumber)+1];
				strncpy(sDialedNumber, sInDialedNumber, strlen(sInDialedNumber));	
			};
		};
};

#endif	//_STATUSDATA_H_
